gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.SimpleActionGroup

Contents

- Exported types
- Methods
  - Overloaded methods
  - addEntries
  - insert
  - lookup
  - new
  - remove

Description

`SimpleActionGroup` is a hash table filled with `Action` objects, implementing the `ActionGroup` and `ActionMap` interfaces.

Since: 2.28

Synopsis

- newtype SimpleActionGroup = SimpleActionGroup (ManagedPtr SimpleActionGroup)
- class (GObject o, IsDescendantOf SimpleActionGroup o) => IsSimpleActionGroup o
- toSimpleActionGroup :: (MonadIO m, IsSimpleActionGroup o) => o -> m SimpleActionGroup
- simpleActionGroupAddEntries :: (HasCallStack, MonadIO m, IsSimpleActionGroup a) => a -> [ActionEntry] -> Ptr () -> m ()
- simpleActionGroupInsert :: (HasCallStack, MonadIO m, IsSimpleActionGroup a, IsAction b) => a -> b -> m ()
- simpleActionGroupLookup :: (HasCallStack, MonadIO m, IsSimpleActionGroup a) => a -> Text -> m Action
- simpleActionGroupNew :: (HasCallStack, MonadIO m) => m SimpleActionGroup
- simpleActionGroupRemove :: (HasCallStack, MonadIO m, IsSimpleActionGroup a) => a -> Text -> m ()

# Exported types

newtype SimpleActionGroup Source #

Memory-managed wrapper type.

Constructors

SimpleActionGroup (ManagedPtr SimpleActionGroup) |

#### Instances

Instances details

Eq SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup Methods (==) :: SimpleActionGroup -> SimpleActionGroup -> Bool # (/=) :: SimpleActionGroup -> SimpleActionGroup -> Bool #
GObject SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup
TypedObject SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup Methods glibType :: IO GType Source #
ManagedPtrNewtype SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup Methods toManagedPtr :: SimpleActionGroup -> ManagedPtr SimpleActionGroup Source #
IsGValue SimpleActionGroup Source # | Convert `SimpleActionGroup` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.SimpleActionGroup Methods toGValue :: SimpleActionGroup -> IO GValue Source # fromGValue :: GValue -> IO SimpleActionGroup Source #
HasParentTypes SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup
type ParentTypes SimpleActionGroup Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup type ParentTypes SimpleActionGroup = '[Object, ActionGroup, ActionMap]

class (GObject o, IsDescendantOf SimpleActionGroup o) => IsSimpleActionGroup o Source #

Type class for types which can be safely cast to `SimpleActionGroup`, for instance with `toSimpleActionGroup`.

#### Instances

Instances details

(GObject o, IsDescendantOf SimpleActionGroup o) => IsSimpleActionGroup o Source # |
Instance details Defined in GI.Gio.Objects.SimpleActionGroup

toSimpleActionGroup :: (MonadIO m, IsSimpleActionGroup o) => o -> m SimpleActionGroup Source #

Cast to `SimpleActionGroup`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## addEntries

simpleActionGroupAddEntries Source #

Arguments

:: (HasCallStack, MonadIO m, IsSimpleActionGroup a) |
=> a | `simple`: a `SimpleActionGroup`
-> [ActionEntry] | `entries`: a pointer to the first item in an array of `ActionEntry` structs
-> Ptr () | `userData`: the user data for signal connections
-> m () |

Deprecated: (Since version 2.38)Use `actionMapAddActionEntries`

A convenience function for creating multiple `SimpleAction` instances and adding them to the action group.

Since: 2.30

## insert

simpleActionGroupInsert Source #

Arguments

:: (HasCallStack, MonadIO m, IsSimpleActionGroup a, IsAction b) |
=> a | `simple`: a `SimpleActionGroup`
-> b | `action`: a `Action`
-> m () |

Deprecated: (Since version 2.38)Use `actionMapAddAction`

Adds an action to the action group.

If the action group already contains an action with the same name as `action` then the old action is dropped from the group.

The action group takes its own reference on `action`.

Since: 2.28

## lookup

simpleActionGroupLookup Source #

Arguments

:: (HasCallStack, MonadIO m, IsSimpleActionGroup a) |
=> a | `simple`: a `SimpleActionGroup`
-> Text | `actionName`: the name of an action
-> m Action | Returns: a `Action`, or `Nothing`

Deprecated: (Since version 2.38)Use `actionMapLookupAction`

Looks up the action with the name `actionName` in the group.

If no such action exists, returns `Nothing`.

Since: 2.28

## new

simpleActionGroupNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m SimpleActionGroup | Returns: a new `SimpleActionGroup`

Creates a new, empty, `SimpleActionGroup`.

Since: 2.28

## remove

simpleActionGroupRemove Source #

Arguments

:: (HasCallStack, MonadIO m, IsSimpleActionGroup a) |
=> a | `simple`: a `SimpleActionGroup`
-> Text | `actionName`: the name of the action
-> m () |

Deprecated: (Since version 2.38)Use `actionMapRemoveAction`

Removes the named action from the action group.

If no action of this name is in the group then nothing happens.

Since: 2.28